com.io7m.r2.core

## Class R2ShadowMapRenderer

- java.lang.Object
- - com.io7m.r2.core.R2ShadowMapRenderer

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2ShadowMapRendererType

      public final class R2ShadowMapRenderer
      extends Object
      implements R2ShadowMapRendererType

  The default implementation of the `R2ShadowMapRendererType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.
    `boolean` | `isDeleted()`
    `static R2ShadowMapRendererType` | `newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g33, R2DepthVarianceRendererType vr, R2RenderTargetPoolUsableType<R2DepthVarianceBufferDescriptionType,R2DepthVarianceBufferUsableType> vp)`
    `R2ShadowMapRendererExecutionType` | `shadowBegin()` Begin rendering shadow maps.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newRenderer

          public static R2ShadowMapRendererType newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g33,
                                                            R2DepthVarianceRendererType vr,
                                                            R2RenderTargetPoolUsableType<R2DepthVarianceBufferDescriptionType,R2DepthVarianceBufferUsableType> vp)

      Parameters:
        `g33` - An OpenGL interface
        `vr` - A depth-variance renderer
        `vp` - A depth-variance buffer pool
      Returns:
        A new shadow map renderer

    - #### shadowBegin

          public R2ShadowMapRendererExecutionType shadowBegin()

      Description copied from interface: `R2ShadowMapRendererType`
      Begin rendering shadow maps.
      Specified by:
        `shadowBegin` in interface `R2ShadowMapRendererType`
      Returns:
        A shadow map execution

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

Copyright © 2017 <code@io7m.com> http://io7m.com